Update server configurationsAsk AIput https://{sandfly-api-host}/v4/configUpdate server configurations.Body ParamsServer configuration json object to updateServerConfigGeneralServerConfigSessionTimeoutsServerConfigScanningBinaryServerConfigSectionElasticServerConfigSectionLLMServerConfigSectionPostgresServerConfigSectionSentinelServerConfigSectionSSOServerConfigSectionTLSServerConfigSectionAdvancedEditdata_retention_daysint64required1 to 31Defaults to 30Number of days to keep alert results and other data.pass_retention_daysint64required1 to 31Defaults to 3Number of days to keep pass results.shared_url_keep_daysint64required1 to 9999Defaults to 90Number of days to keep "share" URL links generated in the UI.maintenance_hourint64required0 to 24Defaults to 0Hour of the day, on the 24-hour UTC clock, to perform daily system maintenance tasks.server_hostnamestringThe hostname of the Sandfly server, used for SAML ACS URLs, notification links, and other features that need to reference the server's public URL. Once set, this value cannot be changed back to empty.server_log_levelstringenumDefaults to infoServer log verbosity level. Changes take effect immediately unless the SF_LOG_LEVEL environment variable is set, in which case the environment variable takes precedence for the lifetime of the server.debuginfoAllowed:debuginfoconfig_revisionint64requiredConfiguration revision number. Must be echoed back to the server. Provides optimistic concurrency control to prevent two users from altering configuration simultaneously.Responses 200Configuration updated. 400Configuration failed validation. Configuration not updated. 502Testing connectivity to a remote system failed. Configuration not updated. defaultUnexpected errorUpdated 3 months ago